include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_definitions(
  -DSQ_RGBMAP="${SHARE_INSTALL_PREFIX}/ksquirrel-libs/rgbmap"
)


##### codecs

tde_add_library( kls_xpm SHARED AUTOMOC
  SOURCES fmt_codec_xpm.cpp
  LINK ksquirrel-libs-shared
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)


##### other data

install(
  FILES rgbmap
  DESTINATION ${SHARE_INSTALL_PREFIX}/ksquirrel-libs
)
